<script>
import MainDialog from "@/components/dialog/MainDialog.vue";
import SvgIcon from "@/components/SvgIcon.vue";

export default {
  name: "Audio",
  components: { MainDialog, SvgIcon },
  data() {
    return {
      dialog: false,
      dialog1: false
    }
  }
}
</script>

<template>
  <div class="custom-body">
    <div class="card-body">
      <u-card :padding="0" left-text="丹拿声场聚焦" right-text="环绕" is-arrow @onClick="dialog = true" />
      <u-card :padding="0" left-text="丹拿声音特色" right-text="动感" is-arrow @onClick="dialog1 = true" />
      <u-card :padding="0" left-text="音量随速调节" right-text="4" leftIconName="setting_tips" right-text-color="#4191EF" />
      <img src="../../assets/images/setting/audio/img_2.webp" alt="" />
    </div>

    <img
      src="../../assets/images/setting/audio/img.webp"
      alt=""
      class="img-signal"
    />

    <MainDialog
      :dialog-visible="dialog"
      class="dialog-1"
      :width="830"
      :header="false"
      @changeVisble="e => dialog = e"
    >
      <template #content>
        <svg-icon class="icon" icon-class="dialog_close" @click="dialog = false" />
        <img src="../../assets/images/setting/audio/img_3.webp" alt="" />
      </template>
    </MainDialog>

    <MainDialog
      :dialog-visible="dialog1"
      class="dialog-1"
      :width="830"
      :header="false"
      @changeVisble="e => dialog1 = e"
    >
      <template #content>
        <svg-icon class="icon" icon-class="dialog_close" @click="dialog1 = false" />
        <img src="../../assets/images/setting/audio/img_1.webp" alt="" />
      </template>
    </MainDialog>
  </div>
</template>

<style scoped lang="scss">
.dialog-1 {
  ::v-deep .dialog-body {
    padding: 0;

    .icon {
      position: absolute;
      color: #FFFFFF;
      top: 47px;
      left: 35px;
      width: 25px;
      height: 25px;
    }
  }
  img {
    width: 908px;
    height: 829px;
  }
}
.custom-body {
  display: flex;
  width: 694px;

  .card-body {
    flex-grow: 1;
    background: #FFFFFF;
    border-radius: 21px;
    padding: 40px;

    img {
      width: 100%;
    }

    ::v-deep .card-container {
      margin-bottom: 60px;
    }
  }

  .right {
    flex-grow: 1;
  }
}

.img-signal {
  width: 788px;
  height: 664px;
  position: absolute;
  right: 90px;
  top: 250px;
}
</style>